import { axios } from '@/utils/request'

const api = {
  repairStats: '/admin/repair/stats'
}

export function getWorkerList (parameter) {
  return axios({
    url: api.repairStats + '/workerList',
    method: 'get',
    params: parameter
  })
}

export function oneWorkerList (parameter) {
  return axios({
    url: api.repairStats + '/oneWorkerList',
    method: 'get',
    params: parameter
  })
}

export function getFloorList (parameter) {
  return axios({
    url: api.repairStats + '/floorList',
    method: 'get',
    params: parameter
  })
}

export function oneFloorList (parameter) {
  return axios({
    url: api.repairStats + '/oneFloorList',
    method: 'get',
    params: parameter
  })
}

export function getFloorCreateList (parameter) {
  return axios({
    url: api.repairStats + '/floorCreateList',
    method: 'post',
    params: parameter
  })
}

export function oneFloorCreateList (parameter) {
  return axios({
    url: api.repairStats + '/oneFloorCreateList',
    method: 'get',
    params: parameter
  })
}

// 第一行 管理员 工单与 通知统计
export function repairAdminStats (parameter) {
  return axios({
    url: api.repairStats + '/repairAdminStats',
    method: 'get',
    params: parameter
  })
}

// 第二、三行  工单统计、工单完成情况、评价情况
export function repairStats (parameter) {
  return axios({
    url: api.repairStats + '/repairStats',
    method: 'get',
    params: parameter
  })
}
//第四行  左侧 楼层负责人情况统计
export function floorStats (parameter) {
  return axios({
    url: api.repairStats + '/floorStats',
    method: 'get',
    params: parameter
  })
}
//第四行  右上 设备故障统计
export function deviceStats (parameter) {
  return axios({
    url: api.repairStats + '/deviceStats',
    method: 'get',
    params: parameter
  })
}
//第四行  右下 故障类型统计
export function failureStats (parameter) {
  return axios({
    url: api.repairStats + '/failureStats',
    method: 'get',
    params: parameter
  })
}
//第五行 设备、品牌、评价 统计
export function deviceTypeStats (parameter) {
  return axios({
    url: api.repairStats + '/deviceTypeStats',
    method: 'get',
    params: parameter
  })
}
